<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employee_undertimes', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 50)->index();
            $table->string('company_id', 50)->index();
            $table->string('dealer_id', 50)->index();
            $table->date('date');
            $table->time('from_time');
            $table->time('to_time');
            $table->string('hours');
            $table->string('approved_by')->nullable();
            $table->text('description')->nullable();
            $table->string('attachment', 250)->nullable();
            $table->tinyInteger('status')->default(0);
            $table->string('recommending_id')->nullable()->index();
            $table->string('approver_id')->nullable()->index();
            $table->datetime('recommended_at')->nullable();
            $table->datetime('approved_at')->nullable();
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employee_undertimes');
    }
};
